gnome-commander r1779 - in branches/gcmd-1-3: . data
- From: epiotr svn gnome org
- To: svn-commits-list gnome org
- Subject: gnome-commander r1779 - in branches/gcmd-1-3: . data
- Date: Wed, 21 May 2008 22:22:46 +0000 (UTC)
Author: epiotr
Date: Wed May 21 22:22:46 2008
New Revision: 1779
URL: http://svn.gnome.org/viewvc/gnome-commander?rev=1779&view=rev
Log:
Updated ebuild file for gentoo systems
Modified:
branches/gcmd-1-3/ChangeLog
branches/gcmd-1-3/data/gnome-commander.ebuild
Modified: branches/gcmd-1-3/data/gnome-commander.ebuild
==============================================================================
--- branches/gcmd-1-3/data/gnome-commander.ebuild (original)
+++ branches/gcmd-1-3/data/gnome-commander.ebuild Wed May 21 22:22:46 2008
@@ -1,49 +1,78 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# Maintainer: Dirk GÃttel <dgoettel freenet de>
# $Header:
-inherit gnome2
+EAPI="1"
+
+inherit gnome2 flag-o-matic subversion autotools
DESCRIPTION="A full featured, dual-pane file manager for Gnome2"
HOMEPAGE="http://www.nongnu.org/gcmd/"
-SRC_URI="http://ftp.gnome.org/pub/GNOME/sources/${PN}/1.2/${P}.tar.bz2";
+ESVN_REPO_URI="svn://svn.gnome.org/svn/gnome-commander/branches/gcmd-1-3"
+SRC_URI=""
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
LICENSE="GPL-2"
-IUSE="doc exif iptc id3 gsf"
+IUSE="doc chm exif gsf taglib python"
SLOT="0"
-RDEPEND=">=x11-libs/gtk+-2.6.0
- >=gnome-base/gnome-vfs-2.0
- >=dev-libs/glib-2.0.0
- >=gnome-base/libgnomeui-2.0
- >=gnome-base/gconf-2.0
- >=dev-lang/python-2.4
- || (
- app-admin/gamin
- app-admin/fam
- )
- exif? ( >=media-libs/libexif-0.6.12 )
- iptc? ( >=media-libs/libiptcdata-0.2.1 )
- id3? ( >=media-libs/id3lib-3.8.3 )
- gsf? ( >=gnome-extra/libgsf-1.12.0 )"
+USE_DESC="chm: add support for Microsoft Compiled HTML Help files
+ exif: add support for Exif and IPTC
+ gsf: add support for OLE, OLE2 and ODF
+ taglib: add support for ID3, Vorbis, FLAC and APE
+ python: add support for python plugins"
+
+RDEPEND=">=x11-libs/gtk+-2.8.0:2
+ >=dev-libs/glib-2.6.0:2
+ >=gnome-base/libgnomeui-2.4.0
+ >=gnome-base/libgnome-2.4.0
+ >=gnome-base/gnome-vfs-2.0.0
+ virtual/fam
+ chm? ( >=app-doc/chmlib-0.39 )
+ exif? ( >=media-gfx/exiv2-0.14 )
+ gsf? ( >=gnome-extra/libgsf-1.12.0 )
+ taglib? ( >=media-libs/taglib-1.4 )
+ python? ( >=dev-lang/python-2.4 )"
DEPEND="${RDEPEND}
- dev-util/intltool
- dev-util/pkgconfig"
-
+ gnome-bae/gnome-common
+ dev-util/intltool
+ dev-util/pkgconfig"
DOCS="AUTHORS BUGS ChangeLog NEWS README TODO"
pkg_setup() {
- G2CONF=" ${G2CONF}
- $(use_with exif libexif)
- $(use_with iptc libiptcdata)
- $(use_with id3 id3lib)
- $(use_with doc docs)
- $(use_with gsf libgsf)"
+ G2CONF=" ${G2CONF}
+ $(use_with chm chmlib)
+ $(use_with exif exiv2 )
+ $(use_with gsf libgsf)
+ $(use_with taglib taglib)
+ $(use_enable python python)"
+
+ filter-ldflags -Wl,--as-needed
+}
+
+src_unpack() {
+ subversion_fetch || die "svn fetch failed"
+
+ cd "${S}"
+
+ gnome2_omf_fix || die "Gnome2 OMF Fix failed"
+
+ # implement autogen.sh with eclass tools
+ rm -rf autom4te.cache
+ autotools_run_tool libtoolize --force --copy
+ autotools_run_tool glib-gettextize --force --copy
+ autotools_run_tool intltoolize --force --copy --automake
+ autotools_run_tool gnome-doc-common --copy
+ autotools_run_tool gnome-doc-prepare --force --copy
+ eaclocal
+ eautoconf
+ eautoheader
+ eautomake --force
+
+ elibtoolize ${ELTCONF} || die "elibtoolize failed"
}
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]